gsw_cabbeling {gsw} | R Documentation

## Cabbeling coefficient

### Description

Cabbeling coefficient (75-term equation)

### Usage

    gsw_cabbeling(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Cabbeling coefficient with respect to Conservative Temperature [ 1/(K^2) ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_cabbeling.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    cabbeling <- gsw_cabbeling(SA,CT,p)
    expect_equal(cabbeling*1e4, c(0.086645721047423, 0.086837829466794, 0.092525582052438,
                                0.108884336975401, 0.112971197222338, 0.115483896148927))

[Package gsw version 1.0-5 Index]